runit (2.3.1-4) unstable; urgency=medium

  * trigger-sv: drop pidof, use s-s-d (dpkg) instead (Closes: #1136579)
  * quilt (patch 0020): use timeout for chpst -l (lock)
  * add a runit script for cruft-ng
  * invoke-run:
     - update manpage, document user services
     - revert chdir to /home/username for user-services for now

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sat, 16 May 2026 15:46:15 +0200

runit (2.3.1-3) unstable; urgency=medium

  * trigger_sv: decouple setup and rescan
  * testsuite/init-switch:
      - fix apt command line
      - print /usr/sbin/init target on failure
  * testsuite/trigger-sv:
      - mark as flaky (racy), breaks-testbed
      - try to fix test race
  * testsuite: add apt-init-switch test

 -- Lorenzo Puliti <plorenzo@disroot.org>  Thu, 30 Apr 2026 01:58:24 +0200

runit (2.3.1-2) unstable; urgency=medium

  * invoke-run/user-services:
     - don't stop equivalent sysv script
     - chdir to /home/user
     - allow service env dir on top of session env dir
  * cpsv: p: don't symlink service env to session env on
     user instantiated services
  * sv completion: complete path also for user services
  * lintian: drop runit-run overrides (systemd-service-file-missing..)

 -- Lorenzo Puliti <plorenzo@disroot.org>  Fri, 17 Apr 2026 15:45:59 +0200

runit (2.3.1-1) experimental; urgency=medium

  * New upstream version 2.3.1
  * d/quilt: refresh patches
  * getty-run:
     - don't fail in postinst if runit is not installed
     - breaks with runit << 2.2.0-7
  * cpsv:
     - allow root usage for 'i'
     - add missing double quotes (shellcheck)
  * trigger_sv:
     - add missing quotes (shellcheck)
     - allow real .files to set services as disabled
     - run 'cpsv p' on package services in /etc/sv/
  * default-syslog: add metalog to syslog implementation list.
     - thanks: Andrew Bower <andrew@bower.uk> (Closes: #1121617)

 -- Lorenzo Puliti <plorenzo@disroot.org>  Wed, 18 Mar 2026 22:39:31 +0100

runit (2.3.0-2) experimental; urgency=medium

  * update-service: make sure to delete .links with --add/enable
  * invoke-run: include conf file
  * invoke-run(8): document hardening with xchpst
  * cpsv: add support for 'conf' file with p and d
  * getty-run:
     - add a getty@default template, stop instances in prerm
       and remove the template on purge (postrm)
     - (Hurd) create and enable a getty@console instance on Hurd,
       delete the istance on purge
    (Closes: #1128066)

 -- Lorenzo Puliti <plorenzo@disroot.org>  Mon, 09 Mar 2026 11:14:48 +0100

runit (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0
       (LP: #399634)
  * d/patches:
      - drop patches accepted or rejected upstream
      - refresh remaining quilt patches
  * getty-run:
     - add support for Hurd
     - use --noclear on tty1
  * runit-init: add experimental support for Hurd (Closes: #1101895)
     - install /etc/hurd/runsystem.runit
     - remove runsystem.runit at purge on Hurd
  * testsuite: trigger-sv : add test for user services
  * trigger_sv: fix user services (enable and restart)
  * svlogd/run: fix user services use case
  * cpsv: add i command

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sun, 08 Feb 2026 13:11:14 +0100

runit (2.2.0-7) unstable; urgency=medium

  * runit-init: keep diverted manpages usable (Closes: #1107917)
  * shutdown:
    - support scheduled shutdown via shell wrapper.
         + Thanks: Andras Korn (Closes: #1121135)
    - adjust runit-init symlinks
  * rescan-test: drop psmisc B-D, use 'chpst -l' instead
  * invoke-run: stop using --force-sysv
  * d/copyright: update years
  * d/control: drop redundant rules-requires-root
  * cpsv - generic use:
    - skip services without a proper run file
    - don't test diff when force is used (a, s)
    - use sv.current as default source (CPSV_SOURCE)
    - fix d (diff) in services with log
  * cpsv - user services and service instances:
    - also sync user services with 's'
    - strip @username suffix from user instances (with 'p')
    - fix wrong symlink target in log/run (with 'p')
    - create supervise dirs as symlink for user services too
    - link env to user-runsvdir's env (user services, with 'p')
    - create .meta as directory for user instances, pupulate
      metafiles with symlinks
  * svlogd/run: adapt for user services
  * trigger_sv:
    - early support for user-services
    - upgrade: fix wrong logic in runsvdir detection
  * sv: adjust bash completion
  * cpsv: add bash completion
  * cpsv.8: update
  * autopkgtest testsuite:
     - add test for cpsv (cpsv-test)
     - add test for trigger_sv (trigger-sv)

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sun, 11 Jan 2026 16:55:47 +0100

runit (2.2.0-6) unstable; urgency=medium

  * import upstream gcc-15 patches (Closes: #1097826)
  * Revert "temporary use gcc-14"
  * shutdown.c: use systemctl when switching init from systemd
  * Revert "autopkgtest: use 'systemctl reboot' to reboot after
      removing systemd-sysv"; now runit's reboot should work when
      switching from systemd.

 -- Lorenzo Puliti <plorenzo@disroot.org>  Wed, 08 Oct 2025 14:39:49 +0200

runit (2.2.0-5) unstable; urgency=medium

  * getty-run:
      - depends on login (Closes: #1116289)
       + Thanks to Chris Hofstaedtler <zeha@debian.org>
      - fix grep match for console in ttyS0 (Closes: #1110060)
       + Thanks to devspam@moreofthesa.me.uk
  * update-service: fix usage for user-services
  * trigger_sv: skip user services for now
  * ctrlaltdel: update path to stopit flag file
  * runit-init: drop postinst usermerge safety guard
  * try to fix race in testsuite that causes intermittent
     FTBFS in reproducible builds

 -- Lorenzo Puliti <plorenzo@disroot.org>  Wed, 01 Oct 2025 15:14:29 +0200

runit (2.2.0-4) unstable; urgency=medium

  * d/patches:
    - allow runsvchdir to get working directory from env
    - add patches from upstream devground branch
    - rework SIGPWR patch (Closes: #1016787)
    - refresh patch 0021 and 0025
  * add a /etc/runit/pwrfail script to activate SIGPWR
  * runsvchdir and update-service: move from /sbin to /bin
  * cpsv:
     - adapt 'p' for multi-instance services
     - adapt 'p' for user services
     - try to adapt 'd' for multi and user instances
     - create supervise as directory for user services
     - 's': map runit's {multi|user}-instances to systemd and
         sysv conterparts
  * update-service: adapt for user services
  * sysv.override: map runit's multi instance default to sysv
  * bash-completions:
     - update 'sv' for user services/ non-root usage
     - update 'update-service' for user services/ non-root usage
  * temporary build with gcc-14
  * NEWS for runit and runit-init users

 -- Lorenzo Puliti <plorenzo@disroot.org>  Wed, 17 Sep 2025 22:59:44 +0200

runit (2.2.0-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * autopkgtest: use 'systemctl reboot' to reboot after removing systemd-
    sysv (Closes: #1111923)

 -- Luca Boccassi <bluca@debian.org>  Sat, 23 Aug 2025 19:17:21 +0100

runit (2.2.0-3) unstable; urgency=medium

  * getty-run: fix tests for busy getty device (Closes: #1103152)
  * try to improve NEWS for bookworm to trixie upgrade
  * d/copyright: update FSF address

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sat, 26 Apr 2025 22:25:25 +0200

runit (2.2.0-2) unstable; urgency=medium

  * stage 3: raise shutdown timeout to 25 sec
  * test /etc/runit/stopit instead of /run/runit.stopit
  * temporary add a compatibility symlink for runit-init
  * sysv-override:
    - update readme file
    - map force-reload to reload
  * runit-init: add protected: yes
  * invoke-run: add experimental support for xchpst (Closes: #1093545)
  * runit: breaks with xchpst << 0.5.0-1~
  * fix FTBFS on alpha due to a race in rescan-test

 -- Lorenzo Puliti <plorenzo@disroot.org>  Fri, 21 Mar 2025 11:53:56 +0100

runit (2.2.0-1) unstable; urgency=medium

  [ Lorenzo Puliti ]
  * New upstream version 2.2.0
     - see /usr/share/doc/runit/changelog.gz
  * update upstream metadata
  * d/copyright: update years
  * d/patches (quilt):
    - drop patches merged or rejected upstream
    - squash and refresh patches for runsvdir-rescan-feature
    - refresh, squash and rework forced rescan test
    - refresh remaining patches
    - sigpwr, sigalrm patches: reset sigint in stage 1 and 3
      (Closes: #1099752)
  * add missing conflicts: finit-sysv, daemontools-run
  * salsa CI: disable missing breaks test, it fails with
     diversions
  * init-switch test: try to fix apt command line, mark as flaky
    (Closes: #1099717)
  * bump S-V to 4.7.2, no changes required
  * runit-init: mask duplicate sysv scripts
  * test for pkgblock files in stage 1 and run_sysv_scripts
  * test for pkgblok files in default policy (override-sysv)
  * run_sysv_scripts: test services links with -L

  [ Andrew Bower ]
  * stop build output interleaving leading to blhc false positives
    (Closes: #1092623)
  * pass all build flags through once.
  * build contrib and write options from same dh target for stable canaries

 -- Lorenzo Puliti <plorenzo@disroot.org>  Fri, 07 Mar 2025 18:39:40 +0100

runit (2.1.2-61) unstable; urgency=medium

  [ Lorenzo Puliti ]
  * NEWS for runit, runit-init users
  * export PATH in stage 1,2,3. (Closes: #1068922)
    + Thanks to Martin Steigerwald <martin@lichtvoll.de>
  * stage1, shutdown.c: write boot and shutdown
     wtmpdb entry (Closes: #992648)
  * service, invoke-rc.d:
    - import from i-s-h 1.67, add runit patches
    - runit-init: divert helpers and manpages
    - adjust d/clean, d/rules clean target
    - update copyright for init-helpers
  * sysv override:
     - change sysv script override mechanism (Closes: #1071395)
     - add /etc/runit/override-sysv.d/README
     - finish-exec: remove *.pkgrunit override files
     - run_sysv_script: adjust (this partially reverts the fix
       for #1022837, other workarounds are provided)
  * invoke-run:
     - print a message about starting runscript when in
       verbose mode
     - update wtime file at service startup
     - update manpage
  * trigger_vs:
     - skip upgrade iteration if binary not installed
     - test for runsvdir before SIGALRM
  * move policy-rc.d layer from invoke-run to trigger_sv
  * sync available services in stage2, before runsvdir
  * cpsv: fix make_svlinks for log's run
  * adjust autopkgtest/upstream-testsuite
  * fix d/runit.install
  * update lintian overrides
  * d/patches (quilt):
     -  drop move-comunication-files patch, not really needed
     -  drop patch to disable sv test, issue fixed on Hurd
        side (see #1009712). (Closes: #1003891)
        + Thanks to João Pedro Malhado, Samuel Thibault
  * dh-sysuser: use a sysusers.d control file, drop
     our legacy control file (Closes: #981799)

  [ Andrew Bower ]
  * shutdown.c : accept but ignore -H, -P and message
     arguments (Closes: #1087001)

  [ наб ]
  * Drop B-D on dh-buildinfo (Closes: #1090770)

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sat, 25 Jan 2025 11:28:00 +0100

runit (2.1.2-60) unstable; urgency=medium

  * Try to fix piupart purge test failure
  * do not fail at preinst if /etc/service is not a symlink.
     + Thanks to Jamie Heilman  (Closes: #1069267)
  * trigger_sv:
    - fix shadowing logic (Closes: #1069592)
    - fix indentation
  * cpsv: stop using sv_wtime
  * runit-run: use runsvdir-start in place of 2
  * runit: keep only init-related code in stage 2
  * Fix FTBFS with gcc-14 (Closes: #1075484)
  * remove obsolete conffiles
  * move aliased files from / to /usr (DEP17) (Closes: #1073780)
  * move runit-init under /usr/sbin
  * bump S-V to 4.7.0, no changes required
  * NEWS for runit-run users:
     - no longer uses  /etc/runit/2
  * NEWS for runit users:
    - recommend /etc/service as symlink
    - local symlinks to runit-init need an update

 -- Lorenzo Puliti <plorenzo@disroot.org>  Mon, 29 Jul 2024 20:30:55 +0200

runit (2.1.2-59) unstable; urgency=medium

  * upload to unstable
  * d/copyright: update years
  * d/watch: use https instead of http
  * lintian: update overrides for runit
  * Revert "d/rules: undo changelog trimming for runit"
  * update-service: add bash-completion
  * cpsv: update manpage

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sat, 23 Mar 2024 00:18:48 +0100

runit (2.1.2-58) experimental; urgency=medium

  * Fix init-switch test (Closes: #1059559)
  * runit: move shutdown to /usr/lib/runit
  * runit-init: move shutdown links to /usr/sbin/
  * runit-init: usrmerge mitigations:
      - add versioned conflicts with molly-guard (Closes: #1059930)
      - restore lost symlinks in postinstall
      - add versioned conflicts with bfh-container and
        progress-linux-container
  * News for runit users
  * update CPSV_SOURCE path in cpsv manpage

 -- Lorenzo Puliti <plorenzo@disroot.org>  Fri, 08 Mar 2024 15:23:32 +0100

runit (2.1.2-57) experimental; urgency=medium

  * Stage {1,2,3,} and ctraltdel: change PATH order
  * trigger_sv: incorporate sv_wtime code (Closes: #1057095)
  * invoke-run: improve test for bin metafile
  * 40-runit: forward non standard actions
     to sysv scripts (Closes: #1057094)
  * Drop runit-systemd package, it's an empty
     transitional package since Bullseye (Closes: #1038301)
  * Clean up obsolete lintian overrides

 -- Lorenzo Puliti <plorenzo@disroot.org>  Mon, 12 Feb 2024 14:15:19 +0100

runit (2.1.2-56) experimental; urgency=medium

  * cpsv:
      - revert "cpsv: use sv.current symlink as source"
      - use sv.src symlink as source for runscript
  * runit.preinst:
      - fix wrong target for sv.current link
      - create sv.src link to make cpsv source configurable
  * trigger_sv:
      - maintain a runtime copy of services in sv.now
      - add a hook to atomically update services
      - look both in /etc and /usr to enable a service,
        /etc/sv/ is always preferred
  * 40-runit: also test /usr/share/runit/sv.current
  * update-service:
      - look in /usr/ and /etc/ for services;
      - stop requiring full path;
      - prefer services in /etc/ over services in /usr:
  * run_sysv_script: check /etc/service instead of /etc/sv
      (Closes: #1022837)
  * runit-init: drop obsolete Replaces without Breaks
  * runit: duplicate triggers as mitigation for usrmerge.
      + Thanks to Helmut Grohne <helmut@subdivi.de>
       (Closes: #1043419)
  * d/rules: fix FTBFS after successful build
       (Closes: #1046998)

 -- Lorenzo Puliti <plorenzo@disroot.org>  Thu, 17 Aug 2023 19:36:41 +0200

runit (2.1.2-55) experimental; urgency=medium

  * Skip halt or reboot scripts during shutdown (Closes: #1032943)
  * Stop creating the runit-log user, replaced by _runit-log
  * invoke-run: remove deprecated NAME and /etc/default/runit bits
  * runit.default: note about future removal
  * update-service: remove supervise transition code
  * create symlink to atomically update service dirs
  * improve runit.preinst current transition code
  * improve mk-runscript manpage
  * cpsv: use sv.current symlink as source for runscripts
  * cpsv: adapt for dh-runit 2.16 metafiles changes
  * stage 2: remove unused code
  * shutdown.c: do not unnecessary write to stderr

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sun, 11 Jun 2023 12:01:03 +0200

runit (2.1.2-54) unstable; urgency=medium

  * stage2: fix inverted test for no.emulate.sysv.
     + Thanks to Andras Korn (Closes: #1030224)
  * stage 2: stop mounting a tmpfs for now (Closes: #1030225)
  * d/rules: undo changelog trimming for runit package

 -- Lorenzo Puliti <plorenzo@disroot.org>  Thu, 09 Feb 2023 19:45:07 +0100

runit (2.1.2-53) unstable; urgency=medium

  * runit-init:
      - depends on mount [linux-any] (Closes: #1028181)
      - change architecture field to any, because of mount
      - recommends runit-services
  * runit: suggests runit-services
  * getty-run:
      - enable the serial getty-ttyS0 by default
      - make getty-ttyS0 device configurable
      - automatically set device for getty-ttyS0 from
        kernel `console=' command line (Closes: #1028270)
  * d/copyright: update copyright years
  * d/tests: update init-switch test

 -- Lorenzo Puliti <plorenzo@disroot.org>  Wed, 11 Jan 2023 23:02:49 +0100

runit (2.1.2-52) unstable; urgency=medium

  * upload to unstable
  * run_sysv_scripts: remove test for name-daemon case
  * stage1: special case for alsa-utils initscript
  * bump Standards-Version, no changes required
  * shellcheck on cpsv, trigger_sv
  * cpsv:
   - fix wrong (old) metafiles path for make_svlinks
   - update also log/run with -f
   - stop using a tmp dir
   - exclude conf pattern with diff
   - small optimizations
   - update manpage

 -- Lorenzo Puliti <plorenzo@disroot.org>  Mon, 26 Dec 2022 03:14:16 +0100

runit (2.1.2-51) experimental; urgency=medium

  * Improve readability of stage 1 (Closes: #1022814)
       + thanks to András Korn
  * Don't skip rcS boot scripts in stage 1 (Closes: #1023358)
  * Improve check for default-syslog (Closes: #1023476)
       + thanks to András Korn
  * runit: suggests ucspi-unix
  * invoke-run: use env instead of conf for chpst envdir
  * cpsv:
     - merge make_svlinks functionality into cpsv
     - temporary keep make_svlinks for backward compatibility
     - simplify syntax check
     - fallback on bin file for sync
     - configurable stock directory with CPSV_SOURCE
     - use CPSV_DEST instead of CPSV_DIR
     - more accurate diff
     - more accurate list output
     - use less ambiguous syntax
     - update manpage
  * Add source directory for cpsv
  * runit NEWS, changes in cpsv and invoke-run
  * runit-systemd NEWS, recommend removal
  * d/tests: update tests dependency (Closes: #1025641)

 -- Lorenzo Puliti <plorenzo@disroot.org>  Wed, 07 Dec 2022 00:48:36 +0100

runit (2.1.2-50) unstable; urgency=medium

  * Upload to unstable
  * runit.postinst: run the trigger also at configure
  * cpsv diff:  exclude wtime file
  * lsb-40-runit: fix 'force-sysv' unset variable
  * sv_wtime: small adjustment
  * invoke-run:
      - stop service when the binary is not installed
      - avoid loop with start-stop-daemon.runit
  * trigger_sv:
       - enable the service by default
       - don't fail the upgrade when sv fails to restart
  * Document flag files with a readme
  * NEWS file for runit users
  * lintian: fix mismatched overrides

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sun, 16 Oct 2022 19:29:05 +0200

runit (2.1.2-49) experimental; urgency=medium

  * make_svlink: create links also when CPSV_DIR is not /etc/sv
  * make the default directory for runsvdir configurable
  * stage 1: setup to experiment with a runtime service layout
  * /lib/lsb/init-functions.d/40-runit: mask sysv services and
     forward signals to runscripts; this can be tuned with flag files if
     start-stop-daemon wrapper is preferred. (Closes: #1021465)
  * add an sv_wtime utility needed for triggered upgrade of services
  * support triggered upgrade for runit services; this mode requires
     metafiles that are usually produced by dh-runit (Closes: #1021474)
  * invoke-run:
     - check for new metafile path inside the service directory
     - remove hardcoded path when 'chpst -e' is used
     - avoid loop when signals for sysv script are forwarded
  * cpsv:
     - improve readability of -d with colored diff
     - improve heuristic on sysvinit scripts
  * update-service:
     - add policy compliant commands
     - update manpage
  * run_sysv_scripts: small optimizations
  * svlogd: copy pkg metafile inside the log directory
  * Add a purge fallback for runit package, to fix piuparts
     sporadic failure

 -- Lorenzo Puliti <plorenzo@disroot.org>  Fri, 07 Oct 2022 23:27:21 +0200

runit (2.1.2-48) unstable; urgency=medium

  * cpsv:
     - improve warning message content and readability
     - avoid useless writes
     - allow services outside /etc/sv (Closes: #1016819)
     - support merged short options
  * runlevel: new line after runlevel number
  * invoke-run:
     - allow runscript outside /etc/sv path (Closes: #1016816)
     - keep services env clean (Closes: #1016817)
     - update manpage
  * stage 2: check for a flag file to skip rc2 sysv scripts,
     useful in containers
  * make_svlinks: link finish to finish-exec
  * shutdown.c:
     - exit with error or print a warning on wrong or unknown
       arguments (Closes: #1016818)
     - update manpage
  * d/patches: drop unused patches
  * include start-stop-deamon wrapper (Closes: #1007205)
     + thanks to András Korn
  * simplify autopkgtest for upstream testsuite
  * update copyright

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sat, 10 Sep 2022 18:53:25 +0200

runit (2.1.2-47) unstable; urgency=medium

  * Release to unstable
  * make_svlinks: fix wrong symlink target
  * make_svlinks: downgrade errors to warnings and
      always return 0 to make sure to never break maintscripts
  * cpsv diff: ignore log/run when m-i svlogd is used
  * make_svlinks: take care also of the log service link, when
     appropriate (detected with logscript metafile)

 -- Lorenzo Puliti <plorenzo@disroot.org>  Mon, 20 Jun 2022 01:16:24 +0200

runit (2.1.2-46) experimental; urgency=medium

  * Run upstream testsuite in autopkgtest
  * Stage 3: add a hook to set services shutdown order
  * Add a /etc/runit/rc.shutdown example, disabled by default
  * Provide a multi instance svlogd service
     + credits: cloux@rote.ch
  * Stage[1,3]: hook to experiment with alternative
     sets of boot scripts. Only initscript are packaged
     in Debian right now, but native sets of scripts
     can be found downstream or on github.
  * Add a make_svlinks program to create supervise
     symlinks at runtime (see #942053 and #935939)
  * Bump Standards-Version to 4.6.1, no changes required
  * update d/copyright
  * Add a finish-exec standard finish file, to replace
     finish-default
  * Add a cpsv utility
  * update lintian overrides for runit

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sun, 12 Jun 2022 00:16:55 +0200

runit (2.1.2-45) unstable; urgency=medium

  * Detect runlevel 0 or 6 in a more robust way
     + thanks to András Korn
  * Fix init-switch autopkgtest, broken because of
     changes in apt, see  #1005881
  * Document with a wiki how to install runit-init,
     since now two separate steps are required.
     Reference the wiki in the package description.
     (Closes: #1005881)
  * Remove `previous' simlink on purge if it exists
  * Getty-run: mark gettys as disabled when there is no tty,
    instead of just removing the symlink which can be confusing
  * Add a Readme for default-syslog virtual service
  * Default-syslog: raise sleep interval
  * Getty-run: add a ttyv0 getty for BSD (Closes: #1006856)
  * Clarify runsv.8 control/[dx] signal override (Closes: #983726)
  * Temporary disable the sv test, because of #1003891

 -- Lorenzo Puliti <plorenzo@disroot.org>  Wed, 09 Mar 2022 01:13:37 +0100

runit (2.1.2-44) unstable; urgency=medium

  * Bump minimal requested version for dh-sysuser
  * Install runit.reboot control file in stage 1 (Closes: #1000867)
  * Improve /sbin/runlevel for runlevel 0 and 6;
       needed to make kexec work properly (Closes: #1002733)
      + thanks to András Korn
  * Update copyright years
  * Update chpst manpage with missing options;
      patch adapted from Mike Pomraning 'pilcrow'
      github repository (Closes: #1000880)
  * Fix lintian mismatched overrides

 -- Lorenzo Puliti <plorenzo@disroot.org>  Mon, 03 Jan 2022 04:13:20 +0100

runit (2.1.2-43) unstable; urgency=medium

  * default-syslog: add a comment in the run file to
     clarify the intended usage.
  * Move the nosync file back to /etc/runit/:
     it was moved to /run by mistake (Closes: #993602)
     + thanks to András Korn
  * Stop using sysv-rc in stage 3: 'run_sysv_scripts' can
     be easily used for shutdown tasks
  * Adjust runit-init Depends:
     - drop sysv-rc: it's still impossible to remove it because
       of initscripts
     - add insserv, it's needed to get the right boot sequence
       for initscripts and sysvinit scripts
     - bump the minimal required runit version to 2.1.2-43,
       because of changes in 'run_sysv_scripts' and stage 3
  * Update runit-init and runit-systemd description
  * source only changes:
     - move all contrib services under debian/sv
     - stop patching upstream stage{1,2}, we already
       maintain our version of stage{1,2,3} in d/contrib
     - rename quilt patches to match the order in which
       they are applied

 -- Lorenzo Puliti <plorenzo@disroot.org>  Tue, 07 Sep 2021 13:26:47 +0200

runit (2.1.2-42) unstable; urgency=medium

  * Release to unstable
  * getty-run: add hvc0 service, disabled by default:
      this is usually needed by Xen hypervisor
  * Add a default-syslog virtual service:
      to increase portability, services that log to syslog
      can depend on this rather than on a specific
      syslog daemon
  * shutdown.c:
      - try to fix FTBFS on Hurd (Closes: #992629)
      - distinguish between halt and shutdown flags:
        The -r flag ( as reboot) now only works with shutdown;
        Add a -f flag to shutdown (skip fsck next boot);
        Add -F flag to shutdown (force fsck next boot);
        The -f (as force a shutdown) and -w/--wtmp-only flags now
         only work with halt.
        (Closes: #992631)
      - Add a -n flag to halt, to skip sync() before reboot/poweroff;
        also, always check for runit.nosync flag file before invoking
        sync()  (Closes: #992641)
      - make halt '-f' flag a noop when runit is init. This way runit
        can use its own code to reboot/poweroff the system; users
        can still use the long '--force' option to force a shutdown
        without signaling the init (Closes: #899246)
  * Update shutdown(8) manpage
  * Bump Standards Version to 4.6.0, no change required
  * Update lintian overrides for 'alternative init but not init.d script'

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sun, 29 Aug 2021 13:54:45 +0200

runit (2.1.2-41exp1) experimental; urgency=medium

  * Set rules-requires-root to no
  * Runit-run: drop dependency on runit-systemd | sysvinit-core
  * Runit: get rid of ancient transition code in prerm
  * Add upstream metadata
  * Add support for policy-rc.d hack in invoke-run
  * Update invoke-run manpage for policy-rc.d
  * Update News files
  * Shutdown.c:
    - fix wrong command line parsing logic that always
      caused a No-Op when any option was given, breaking,
      among other things, the init switch from Sysvinit
      (Closes: #991227)
    - reboot the system with -r flag (Closes: #990774)
  * Update shutdown(8) manpage
  * Update license and copyright years

 -- Lorenzo Puliti <plorenzo@disroot.org>  Fri, 16 Jul 2021 20:35:34 +0200

runit (2.1.2-40) unstable; urgency=medium

  * Ack previous NMU, thanks Boyuan Yang for the upload
  * Getty-run: default to agetty, only suggests fgetty (Closes: #981248)
  * invoke-run: don't stop sysv script if is a symlink
    + many thanks to Devuan testers

 -- Lorenzo Puliti <plorenzo@disroot.org>  Tue, 16 Feb 2021 10:38:41 +0100

runit (2.1.2-39.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload to allow migration to testing.

 -- Boyuan Yang <byang@debian.org>  Fri, 25 Dec 2020 16:31:31 -0500

runit (2.1.2-39) unstable; urgency=medium

  * Enable shutdown on ctrl-alt-del keyboard request
  * Bump Standards Version to 4.5.1
  * Reintroduce transitional runit-systemd package (Closes: #976187)
  * Add a news file for runit-init

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sun, 20 Dec 2020 11:16:49 +0100

runit (2.1.2-38) unstable; urgency=medium

  * Clean up at the end of the forced-rescan-test
  * Fix some minor lintian tag
  * Bump dh compat level to 13
  * d/rules: fix broken autopkgtest phony target
  * d/runit.NEWS: document recent changes
  * Do not restart the gettys on upgrade
  * Suggests socklog with runit
  * Release to unstable

 -- Lorenzo Puliti <plorenzo@disroot.org>  Wed, 25 Nov 2020 03:05:05 +0100

runit (2.1.2-37) experimental; urgency=medium

  * Bring back the test about forced-rescan
  * Fix forced rescan test failure on sbuild (Closes: #941322)
  * Clean the 'current' symlink on purge
  * Invoke-run: add a DEBUG option to finish-default
  * Finish-default: print invoke-run instead of runsv
  * Get non default rundirectory from kernel command line
  * Add a 'solo' rundirectory for containers (Closes: #950851)
  * Merge runit-sysv and runit-systemd into runit-run (Closes: #953875)
  * Add lintian overrides for manpage without executable
  * Update copyright for debian files
  * Add an autopkgtest to catch regression on #953875
  * runit-run: don't stop the service on upgrade (systemd)
  * runit-run: rescan inittab on install/remove (sysvinit)

 -- Lorenzo Puliti <plorenzo@disroot.org>  Thu, 10 Sep 2020 14:35:26 +0200

runit (2.1.2-36) unstable; urgency=medium

  * Use dot-symlink to mark a service as disabled (Closes: #942320)
  * Minor improvements to invoke-run (Closes: #943395)
  * Add finish-default (Closes: #943397)
  * Update invoke-run manpage for finish-default
  * Bump Standards Version to 4.5.0:
    - Create '_runit-log' user
  * New maintainer
  * Add a lintian override for runit

 -- Lorenzo Puliti <plorenzo@disroot.org>  Thu, 27 Feb 2020 12:12:07 +0100

runit (2.1.2-35) unstable; urgency=medium

  * Temporary disable forced-rescan test (Closes: #941273)

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 27 Sep 2019 23:19:30 +0000

runit (2.1.2-34) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Add series of patches to implement force-rescan feature (Closes: #933078)
  * Fix 1 second delay in forced rescan implementation

  [ Lorenzo Puliti ]
  * update-service: move supervise directories in tmpfs
  * invoke-run: add verbose option and export NAME (Closes: #939971)

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 25 Sep 2019 21:23:50 +0000

runit (2.1.2-33) unstable; urgency=medium

  * Add manual rule to run autopkgtest (Closes: #931658)
  * Create /run/runit/supervise directory during boot (see #934500)

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 16 Aug 2019 05:34:02 +0000

runit (2.1.2-32) unstable; urgency=medium

  [ Lorenzo Puliti ]
  * [864c1683] Provide a service for a getty on serial tty
  * [d3726e3b] Add smoke test for systemd --> runit-init switch
    (Closes: #930758)

  [ Dmitry Bogatov ]
  * Upload to unstable.
  * [5f2b9505] Conflict with libnss-systemd to avoid #931356
  * [d6070a78] Add lintian overrides for lintian=2.16.0
  * [f586cf00] Move manpage of /usr/bin/mk-runscript to section 8
  * [d31c145d] Add ${runit:Breaks} into debian/control
  * [568a5c17] Bump debhelper compat to 12
  * [917937d4] Bump standards version to 4.4.0 (no changes needed)
  * [3e429f27] Set target distribution to unstable in CI config

 -- Dmitry Bogatov <KAction@debian.org>  Tue, 16 Jul 2019 16:12:38 +0000

runit (2.1.2-31) experimental; urgency=medium

  * [66e90711] invoke-run: add option to not stop sysv scripts (Closes: #928935)
  * [d30a1579] Use separate, non-default rundir when runit is not pid1
  * [30a9c393] Change path of "noreplace" flag file
  * [a9aebf6c] Make "invoke-run" handle uninstalled-not-purged case
    (Closes: #929693)

 -- Dmitry Bogatov <KAction@debian.org>  Thu, 30 May 2019 21:33:35 +0000

runit (2.1.2-30) experimental; urgency=medium

  * [6e0e385b] Add Gitlab CI config file.
  * [6c03140f] Fix preinst script on fresh installation. (Closes: #927442)
  * [7b4accc5] Move repository to debian/ namespace.

 -- Dmitry Bogatov <KAction@debian.org>  Tue, 23 Apr 2019 18:11:58 +0000

runit (2.1.2-29) experimental; urgency=medium

  * [2c5a162f] Apply patches to fix compiler warnings.
    Thanks to Jan <cloux@rote.ch>
    (Closes: #924054, #924056, #924057, #924058, #924059)
  * [a76ab7a7] Fix typo in bugnumber in previous changelog entry
  * [f2293d92] Move binaries from runit-init package (Closes: #926777)
  * [a1eed2c8] Make /etc/service point to `current' symlink.
    Thanks to Lorenzo Puliti <lorenzo.ru.g@gmail.com> (Closes: #916973)
  * [cc656ec6] Bump standards version to 4.3.0

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 13 Apr 2019 03:34:59 +0000

runit (2.1.2-28) experimental; urgency=medium

  * Change the supervise directory path of update-service to be consistent
    with the path used in dh-runit. (Closes: #924688)
  * Stop init.d script in invoke-run(5) (Closes: #924769)

 -- Dmitry Bogatov <KAction@debian.org>  Mon, 08 Apr 2019 16:40:06 +0000

runit (2.1.2-27) experimental; urgency=medium

  * Support `--wtmp-only' flag in /sbin/halt implementation (Closes: #919699)
  * Initiate system shutdown when runit-init receives SIGPWR (Closes: #923924)
    + Thanks: Andras Korn <korn-debbugs@elan.rulez.org>

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 13 Mar 2019 18:30:49 +0000

runit (2.1.2-25) unstable; urgency=medium

  * Use full path when executing emergency shell. (Closes: #924038)
    + Thanks: Lorenzo Puliti <lorenzo.ru.g@gmail.com>

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 09 Mar 2019 17:41:51 +0000

runit (2.1.2-24) unstable; urgency=medium

  * Remove `set -e' from `run_sysv_scripts' to ensure behaviour
    similar to `/etc/init.d/rc' -- failure of one script in `/etc/rcS.d'
    does not prevent other from running. (Closes: #923957)

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 08 Mar 2019 15:29:32 +0000

runit (2.1.2-23) experimental; urgency=medium

  * Disable getty-tty services if tty device is missing (Closes: #914788)
  * Create specialized interpreter for runscripts (Closes: #916697)

 -- Dmitry Bogatov <KAction@debian.org>  Mon, 04 Feb 2019 00:00:23 +0000

runit (2.1.2-22) unstable; urgency=medium

  * Do not create symlinks between bin:runit and bin:runit-init
    documentation, since it creates issues with `dpkg-buildpackage -A'.
    (Closes: #918419)
  * Remove references to `upstart' from `debian/control'.
  * Relax dependencies between bin:runit and bin:runit-init

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 06 Jan 2019 11:38:26 +0000

runit (2.1.2-21) unstable; urgency=medium

  * Upload to unstable
  * Resume normal boot after mainainence shell exits (Closes: #912937)
  * Ensure that getty is started even if some of init.d scripts hang
  * Make sure that /etc/runit/2 does not attempt to start init.d scripts
    and sulogin if `runit' is not current init system.

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 05 Jan 2019 11:28:27 +0000

runit (2.1.2-20) experimental; urgency=medium

  * Reduce data duplication between bin:runit and bin:runit-init.
  * Make bin:runit provide `runit-log' system user. They are used
    by logging runscipts, generated by `dh-runit'.

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 16 Dec 2018 10:22:23 +0000

runit (2.1.2-19) unstable; urgency=medium

  * Include /usr/local/{sbin,bin} into PATH for runscripts (Closes: #913876)
  * Build-depend on `debhelper-compat' (obsoletes `debian/compat')
  * Provide `/sbin/poweroff' alias for `/sbin/shutdown' (Closes: #914041)

 -- Dmitry Bogatov <KAction@debian.org>  Mon, 19 Nov 2018 13:48:45 +0000

runit (2.1.2-18) unstable; urgency=medium

  * Improve `update-service' script (Thanks: Lorenzo Puliti)
    + Add --auto/--noauto option to update-service
    + Handle relative symlinks
  * Ensure, that halt(8) and reboot(8) commands work properly
    in single mode (Closes: #912937)
    + Thanks: alecfeldman@disroot.org

 -- Dmitry Bogatov <KAction@debian.org>  Thu, 08 Nov 2018 01:21:32 +0000

runit (2.1.2-17) unstable; urgency=medium

  * Add special case into /etc/runit/1 to handle irregular naming
    of some runscripts.
  * Make bin:runit (providing supervision system) recommend packages,
    containing integration with initialization systems. (Closes: #866652)

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 27 Oct 2018 05:10:42 +0000

runit (2.1.2-16) unstable; urgency=medium

  * Create new session for getty-run script to make sure, that
    job control works.
  * Bump standards version to 4.2.1

 -- Dmitry Bogatov <KAction@gnu.org>  Sat, 06 Oct 2018 13:22:58 +0000

runit (2.1.2-15) unstable; urgency=medium

  * Fix spin lock on systems with poor clock (Closes: #878476)
  * Bring back `update-service`, since it is actually used programmatically
    (Closes: #900393)

 -- Dmitry Bogatov <KAction@gnu.org>  Thu, 31 May 2018 07:58:42 +0300

runit (2.1.2-14) unstable; urgency=medium

  * Rebuild package with dh-runit=2.7.3 (Closes: #899242)
  * Do not install `update-service' script.

 -- Dmitry Bogatov <KAction@gnu.org>  Sun, 27 May 2018 20:11:33 +0300

runit (2.1.2-13) unstable; urgency=medium

  * Disable `chkshgrp' test. It requires either root or user with
    supplementary groups; as such it fails with whalebuilder.
    This test is actually about libc, not runit itself.
  * Halt with RB_POWER_OFF, not RB_HALT in debian/contrib/shutdown.c
    to avoid system to freeze in power-on state on halt. It should be
    noted, that currently runit-init runs in sysvinit-compatibility mode,
    and system shutdown actually handled by /sbin/halt -f, not runit itself
    after execution of /etc/runit/3.

 -- Dmitry Bogatov <KAction@gnu.org>  Sun, 13 May 2018 22:40:08 +0300

runit (2.1.2-12) unstable; urgency=medium

  * Improve 'contrib/1' to support boot in single mode. (Closes: #895914)
    + Thanks: Lorenzo Puliti <lorenzo.ru.g@gmail.com>
  * Simplify code (in particular, debian/rules), generating getty runscripts.
  * Improve getty runscripts to not waste CPU when tty is already busy.
    (Closes: #895904)
     + Thanks: Lorenzo Puliti <lorenzo.ru.g@gmail.com>

 -- Dmitry Bogatov <KAction@gnu.org>  Fri, 20 Apr 2018 14:46:17 +0300

runit (2.1.2-11) unstable; urgency=medium

  * Rename contrib/runscript to mk-runscript, since previous
    name conflicted with bin:minicom (Closes: #895607)
  * Improve contrib/runscript (Closes: #873836)
      + fix typo: unprivilleged -> unprivileged
      + ensure that nested runsv processes are not left unmanaged
    - Thanks: chrysn <chrysn@fsfe.org>
  * Remove debugging code from runit.preinst (Closes: #881357)
  * Update standards version to 4.1.4 (no changes needed)
  * Add dependency on recent version of dh-runit, to fix piuparts
    test of fgetty-run.

 -- Dmitry Bogatov <KAction@gnu.org>  Sat, 14 Apr 2018 10:44:53 +0300

runit (2.1.2-10) unstable; urgency=medium

  [ Mathieu Mirmont ]
  * Make compatibility runlevel(8) print "2", since it is default
    runlevel for Debian.
  * Remove /command, absent on Debian systems, from PATH in
    'debian/contrib/1'
  * Adjust 'debian/contrib/3' to SVDIR=/etc/service, not /service.

  [ Dmitry Bogatov ]
  * Replace DEB_BUILD_OPTIONS with DEB_BUILD_MAINT_OPTIONS, since the former
    is meant for user, rebuilding package and overrides the latter.
      + Thanks: Gianfranco Costamagna <locutusofborg@debian.org>
  * Add 'runscript' program into 'runit' binary package, intended to
    simplify for system administrator management of per-user 'runsvdir'
    processes.
  * Incorporate NMU. Bring back runit-init package.
  * Add compiler flags for large file support.
  * Add support for sysvinit control pipe into shutdown script, solving issue
    with reboot just after runit-init installation. (Closes: #861536)
  * Add dependency on initscripts. While initscripts probably could be
    simplified, right now it is simpler to rely on it to make sure, that
    transition from sysvinit is smooth. On other hand, if both runscript
    and initscript are present, runscript is favored.
  * Write CFLAGS and LDFLAGS into conf-ld/conf-cc. Without it, upstream
    build system strips binaries, wasting precious debug information that
    must be stored in -dbg symbols.
  * Check for executable bit on /run/runit.reboot with stat(1), not
    test(1).  If /run is mounted with 'noexec' option, test(1) gives
    unexpected results.
  * Reduce timeout between SIGTERM and SIGKILL on system shutdown.

    Default 7 seconds is reasonable for well-behaving program, and waiting
    longer does not help with programs, which ignore SIGTERM, like
    startx(1) in some configurations.
  * Fix problem with bash completion script when ls(1) output color control
    sequences.
  * Update Vcs-* fields in debian/control. Now on GitLab instance at
    salsa.debian.org
  * Bump compat version to 11, rendering dh-sysuser unneeded.
  * Drop explicit --parallel from debian/rules, since it is default since
    debhelper-10.
  * Use secure URL when referencing to debian/copyright format.
  * Bump standards version to 4.1.3 (removed priority 'extra')
  * Remove version conflicts on sysvinit, since it is no longer present
    in Archives.
  * Add Replaces field into bin:runit-init, since /sbin/runit is moved back
    from bin:runit to bin:runit-init.

 -- Dmitry Bogatov <KAction@gnu.org>  Sun, 11 Mar 2018 02:17:16 +0300

runit (2.1.2-9.2) unstable; urgency=medium

  * non-maintainer upload
  * re-add /sbin/runit{,-init} to runit package so it remains possible to
    use runit as PID 1

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 31 May 2017 12:44:38 -0400

runit (2.1.2-9.1) unstable; urgency=medium

  * non-maintainer upload
  * drop runit-init package (Closes: #861536)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 30 May 2017 11:46:28 -0400

runit (2.1.2-9) unstable; urgency=medium

  * Make runit-init depends getty-run, otherwise user can end up with
    system with no means to login.
  * Add sysvinit-compatible scripts (reboot, shutdown), which are expected
    by graphical interface to perform these actions.
  * Add sysvinit-compatible script runlevel. While it does not perform
    anything useful, invoke-rc.d expects it's presence.
  * Remove unused source linitian overrides, since package builds with compat 9

 -- Dmitry Bogatov <KAction@gnu.org>  Sun, 09 Oct 2016 13:21:59 +0300

runit (2.1.2-8) unstable; urgency=medium

  * Upload to unstable
  * Drop `socklog-run' suggestion due clash with system (Closes: #836846)

 -- Dmitry Bogatov <KAction@gnu.org>  Sun, 11 Sep 2016 20:55:14 +0300

runit (2.1.2-7) experimental; urgency=medium

  * Create /etc/runit/runsvdir/default directory and /etc/service directories
    as part of binary package, not in maintainer scripts. Empty directories are
    not pretty, but usually user installs some runscripts with 'runit' binary
    package, and will not notice issue.
  * Make upgrade from previous revisions (3,5,6th) piuparts-clean
    (Closes: #835278)

 -- Dmitry Bogatov <KAction@gnu.org>  Sat, 03 Sep 2016 20:51:31 +0300

runit (2.1.2-6) unstable; urgency=medium

  * Fix factual error in runsv(8) (Closes: #814044)
  * Create FAQ and document in it purpose of executable logfiles
    (Closes: #784276)
  * set KillSignal=SIGHUP and KillMode=process in systemd runit to assure
    clean shutdown of runit tasks (Closes: #810328)
    (Thanks: Johannes Ziemke <fish@freigeist.org>)
  * Fix compatibility with dh-runit (>= 1.5)
  * Fix description in systemd unit file (Closes: #835064)

 -- Dmitry Bogatov <KAction@gnu.org>  Tue, 23 Aug 2016 13:05:12 +0300

runit (2.1.2-5) unstable; urgency=medium

  * Fix `dpkg-buildpackage -A' builds (Closes: #832545)
  * Tighten dependency on dh-runit (Closes: #832651)
  * Record versions of build dependencies via dh-buildinfo
  * Add Breaks+Replaces fields for runit-systemd (Closes: #832653)
    (Policy 7.6)
  * Fix bash completion installation

 -- Dmitry Bogatov <KAction@gnu.org>  Thu, 28 Jul 2016 19:01:07 +0300

runit (2.1.2-4) unstable; urgency=medium

  * New maintainer
  * Bump standards version to 3.9.8 (no changes needed)
  * Write watch file
  * Change source format from implicit `1.0' to explicit `3.0(quilt)'.
      - patches from debian/patches are applied automatically
      - `dpkg-buildpackage' no longer complains about files under
        `debian/.git'.
  * Convert patches to quilt format.
      - Remove manual patches application
      - Rename `debian/diff' to `debian/patches'
      - Generate `patches/series' file
  * Use makefile snippets provided by `dpkg' over manual assignments.
  * Convert 'debian/copyright' to dep5 format
  * Convert packaging to debhelper
  * New binary package 'runit-init', that provides /sbin/init replacement
    out-of-box. This package have reduced priority 'extra', since it
    conflicts with other initialization systems.
  * Add Vcs-Browser and Vcs-Git fields into 'debian/control'
  * Patch '${RUNIT}/etc/2' and install it instead of providing separate
    version as 'debian/2'
  * Remove unused 'examples/start-stop-daemon' script.
  * Utilize 'dh_bash-completion' to install bash completion snippet
  * Utilize 'dh_systemd' to install systemd service file into new binary
    package 'runit-systemd'.
  * Delete runsvdir-start symbolic link. Note is left in NEWS file
  * Rename runit.NEWS.Debian to runit.NEWS to be installed by debhelper
  * Remove scripting in runit's maintainer scripts to adjust /etc/inittab.
    It is provided as separate binary package 'runit-sysv'.
  * Make buildsystem respect dpkg-buildflags.
  * Enable hardening
  * Register documentation with doc-base (Policy 9.10)
  * Move communication files under /run to work with read-only /etc
  * Move getty runscripts into separate binary package
  * Emulate sysv runlevel 5 by default.
  * Bump debhelper compat to 9.
  * Install upstream changelog
  * Remove out-of-date README.Debian

 -- Dmitry Bogatov <KAction@gnu.org>  Wed, 01 Jun 2016 20:45:22 +0300

runit (2.1.2-3) unstable; urgency=medium

  * workaround #766187 by copying from sysvinit-2.88dsf:
    * debian/share/inittab*: new; copy from sysvinit-2.88dsf.
    * debian/rules: copy and adjust code from sysvinit-2.88dsf to install
      possibly arch-specific inittab into /usr/share/runit/.
    * debian/runit.postinst: copy and adjust code from sysvinit-2.88dsf
      to create initial /etc/inittab (closes: #766187).

 -- Gerrit Pape <pape@smarden.org>  Wed, 31 Dec 2014 11:32:56 +0000

runit (2.1.2-2) unstable; urgency=medium

  * debian/contrib/sv-completion.bash: bash-complete directories for
    "sv" (thx Jeff King, closes: #758852).
  * debian/runit.preinst, debian/runit.postinst: remove functionality
    to move conffiles when upgrading from version << 1.4.0-0.
  * debian/runit.preinst: remove functionality for /var/service/ to
    /etc/service/ transition when upgrading from version <= 1.8.0-2.
  * debian/control: Standards-Version: 3.9.6.0.
  * debian/runit.lintian: remove, obsolete.
  * debian/rules: no longer install lintian override file.

 -- Gerrit Pape <pape@smarden.org>  Sat, 25 Oct 2014 10:26:19 +0000

runit (2.1.2-1) unstable; urgency=medium

  * new upstream version.
    * debian/diff/0002-sv.c-...diff, debian/diff/0004-sv.c-...diff,
      debian/diff/0005-man-sv.8-...diff: remove; applied upstream.

 -- Gerrit Pape <pape@smarden.org>  Mon, 11 Aug 2014 18:19:38 +0000

runit (2.1.1-8) unstable; urgency=low

  * debian/diff/0005-man-sv.8-sv-exit-does-not-send-a-TERM-...diff:
    new: man/sv.8: "sv exit" does not send a TERM signal to the log
    service (thx Jonathan Nieder, closes: #627574).
  * debian/diff/0006-utmpset.c-mixes-int32_t-and-time_t.diff: new:
    don't pass int32_t to time() (thx Lorenzo Beretta, closes:
    #754849).
  * debian/rules: no longer build with dietlibc by default, support
    DEB_BUILD_OPTIONS=diet; get *FLAGS through dpkg-buildflags.
  * debian/control: remove Build-Depends:.
  * debian/diff/0007-src-Makefile-don-t-use-static-to-link-...diff:
    new: src/Makefile: don't use -static to link runit, runit-init on
    Debian.
  * debian/examples/start-stop-daemon.runit: updates from Andras
    Korn.
  * debian/control: Standards-Version: 3.9.5.0.

 -- Gerrit Pape <pape@smarden.org>  Fri, 01 Aug 2014 06:19:57 +0000

runit (2.1.1-7) unstable; urgency=low

  * debian/runit.postinst, debian/runit.postrm: use test -d /proc/1
    instead of ps -p 1.
  * debian/control: no longer Depends: procps.
  * debian/rules: work around diet using -mpowerpc-gpopt when itself
    given -Os, as -mpowerpc-gpopt generates instructions not available
    on 32-bit PowerPC CPUs (thx Ryan Finnie, closes: #726008).
  * debian/examples/start-stop-daemon.runit, debian/runit.examples:
    new; include start-stop-daemon.runit script by Andras Korn in
    /usr/share/doc/runit/examples/ (closes: #678985).
  * debian/diff/0003-support-etc-runit-nosync-file-to-make-sync...diff:
    new; support /etc/runit/nosync file to make sync on shutdown/reboot
    optional (thx Andras Korn, closes: #695281).
  * debian/contrib/sv-completion.bash: new; bash completion for sv (thx
    Jeremy Lal).
  * debian/rules: install sv bash completion (closes: #711335).
  * debian/diff/0004-sv.c-fix-typo-that-made-sv-status-get-...diff:
    new; sv.c: fix typo that made sv status get confused (closes:
    #715512).
  * debian/systemd/runit.service: new; runit systemd unit file (thx
    Daniel Kahn Gillmor).
  * debian/rules: install runit systemd unit file.
  * debian/runit.postinst, debian/runit.postrm: enable and start,
    disable and stop respectively, runit unit if systemd is process 1
    (closes: #722116).

 -- Gerrit Pape <pape@smarden.org>  Mon, 28 Jul 2014 11:05:09 +0000

runit (2.1.1-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * remove option of suppressing HUP signal to process 1 (because it
    causes upgrade failures: closes: #605912, reopens: #453106).
    - debian/runit.config, debian/runit.templates.in: remove.
    - debian/runit.postinst, debian/runit.postrm: signal process 1 if
      and only if it is running (thx Adam D. Barratt).
    - debian/rules: remove po-templates rules.
    - debian/control: no longer Build-Depends: po-debconf.
  * debian/control, debian/runit.README.Debian: remove vestiges of
    the runit-run package.

 -- Jonathan Nieder <jrnieder@gmail.com>  Sun, 16 Jan 2011 13:26:58 -0600

runit (2.1.1-6.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * debian/runit.config: skip preconfiguration if ps is not
    installed. (Thanks, Jonathan Nieder <jrnieder@gmail.com>)
  * debian/control: Depends: procps (closes: #603827).

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 26 Dec 2010 14:19:53 -0500

runit (2.1.1-6) unstable; urgency=high

  * debian/rules: don't set -D_FILE_OFFSET_BITS=64 on sparc (fixes
    build/selftest failure on sparc).

 -- Gerrit Pape <pape@smarden.org>  Wed, 15 Sep 2010 09:09:51 +0000

runit (2.1.1-5) unstable; urgency=high

  * debian/runit.postinst: make sure runsvdir starts on install (thx
    alexander barakin for the patch; closes: #595334).

 -- Gerrit Pape <pape@smarden.org>  Mon, 06 Sep 2010 15:24:12 +0000

runit (2.1.1-4) unstable; urgency=medium

  * debian/runit.postinst: do not write to stdout (thx alexander
    barakin; closes: #584137).

 -- Gerrit Pape <pape@smarden.org>  Wed, 09 Jun 2010 22:17:55 +0000

runit (2.1.1-3) unstable; urgency=low

  * debian/runit.config: typo (closes: #550816).

 -- Gerrit Pape <pape@smarden.org>  Tue, 13 Oct 2009 08:53:18 +0000

runit (2.1.1-2) unstable; urgency=low

  * debian/diff/0002-sv.c-support-optional-LSB-init-script...diff:
    new: sv.c: support optional LSB init script actions reload and
    try-restart (closes: #545227).

 -- Gerrit Pape <pape@smarden.org>  Sun, 11 Oct 2009 20:02:25 +0000

runit (2.1.1-1) unstable; urgency=low

  * new upstream version.
  * debian/rules: run package/check again.

 -- Gerrit Pape <pape@smarden.org>  Tue, 06 Oct 2009 20:02:07 +0000

runit (2.1.0-1) unstable; urgency=low

  * new upstream version.
  * debian/runit.preinst: use dpkg-query instead of grepping
    /var/lib/dpkg/status.
  * debian/runit.config, debian/runit.templates.in: new; ask through
    debconf before sending HUP signal to process 1 (closes: #542593,
    #453106).
  * debian/runit.postinst: optionally don't signal process 1.
  * debian/runit.postrm: run db_purge on purge.
  * debian/rules: new target po-templates.
  * debian/control: Build-Depends: po-debconf.
  * debian/rules: don't run package/check (workaround upstream bug).
  * debian/rules: add -D_FILE_OFFSET_BITS=64 to CFLAGS (thx Alexander
    Inyukhin; closes: #541280).
  * debian/runit.postinst: don't fail if existing SV inittab entry is
    from the runit package itself.
  * debian/control: update short and long descriptions.

 -- Gerrit Pape <pape@smarden.org>  Tue, 29 Sep 2009 23:57:08 +0000

runit (2.0.0-1) unstable; urgency=low

  * new upstream release.
  * debian/control: Standards-Version: 3.8.0.1.
  * debian/update-service: symlink to service-directory might end with
    a slash (closes: #475512).

 -- Gerrit Pape <pape@smarden.org>  Tue, 17 Jun 2008 20:00:08 +0000

runit (1.9.0-1) unstable; urgency=low

  * new upstream version.
  * debian/rules, debian/runit.docs: switch from tarball-in-tarball to
    upstream orig tarball.
  * debian/diff/0001-...diff: adapt.
  * debian/runit.NEWS.Debian: document switch from /var/service/ to
    /etc/service/, recommend compatibility symlink.

 -- Gerrit Pape <pape@smarden.org>  Thu, 08 May 2008 00:30:53 +0000

runit (1.8.0-7) unstable; urgency=low

  * debian/runit.postinst: don't exec into the kill program, so that the
    shell builtin is used (closes: #475619).

 -- Gerrit Pape <pape@smarden.org>  Wed, 16 Apr 2008 21:02:04 +0000

runit (1.8.0-6) unstable; urgency=medium

  * debian/runit.postinst: no longer retain /var/service backward
    compatibility symlink on fresh install, rdepends have adopted (closes:
    #461478).
  * debian/control: Standards-Version: 3.7.3.0.

 -- Gerrit Pape <pape@smarden.org>  Wed, 09 Apr 2008 21:32:38 +0000

runit (1.8.0-5) unstable; urgency=low

  * debian/runit.postinst: do not kill and restart runsvdir at all (closes:
    #468642); it'll still run in /var/service/, but a backward compatibility
    symlink is provided.

 -- Gerrit Pape <pape@smarden.org>  Sun, 02 Mar 2008 15:42:22 +0000

runit (1.8.0-4) unstable; urgency=low

  * debian/runit.preinst: /etc/service transition: check whether
    /var/service/ is empty before copying its content (closes: #467412),
    when moving create compatibility symlink.
  * debian/update-service.8: typo.
  * debian/runit.postinst: /etc/service transition: don't explicitely use
    sv to take down services; exec into kill to SIGHUP runsvdir or pid 1.

 -- Gerrit Pape <pape@smarden.org>  Mon, 25 Feb 2008 18:51:47 +0000

runit (1.8.0-3) unstable; urgency=low

  * debian/update-service: enforce argument; enforce <service-name> must
    not start with a dot and must not contain a slash.
  * debian/update-service: prefix fatal and warn message with progname;
    only warn on --remove if service is not registered, still fatal if it
    is not a symlink.
  * debian/2, debian/rules, debian/runit.README.Debian,
    debian/runsvdir-start.8, debian/update-service, debian/update-service.8:
    switch directory for services from /var/service/ to /etc/service/
    (#461478).
  * debian/runit.postrm: purge: adapt paths in /var/run/, remove ./supervise/
    subdirectories (or symlinks) in getty-5 service directory.
  * debian/update-service: when successfully adding a service simply print
    "Service <service-name> added." (thx Daniel Kahn Gillmor, closes:
    #466579).
  * debian/runit.preinst, debian/runit.postinst: move away from /var/service/
    to /etc/service/; restart runsvdir; retain backward compatibility symlink
    /var/service -> /etc/service until rdepends have adopted (#461478).
  * debian/update-service, debian/update-service.8: create symbolic links for
    ./supervise/ directories only if the service-directory resides in /etc/;
    don't re-create ./log/supervise/ symlink if it already is a symlink, just
    as already done for ./supervise/ (thx Jameson Rollins, closes: #466885).
  * debian/update-service, debian/update-service.8: symbolic links for
    ./supervise/ directories now point into /var/lib/supervise/ instead of
    /var/run/, so that they survive a reboot.
  * debian/rules: install /var/lib/supervise/.
  * debian/update-service: don't get confused if service-directory ends with
    a slash.
  * debian/runit.postrm: purge: remove /var/service compatibility symlink.
  * debian/diff/0001-runit-s-directory-for-services-on-Debian-is-etc-ser.diff:
    new: runit's directory for services on Debian is /etc/service/, not
    /var/service/.
  * debian/rules: target unpack: apply patch debian/diff/0001-*.

 -- Gerrit Pape <pape@smarden.org>  Sun, 24 Feb 2008 18:34:35 +0000

runit (1.8.0-2) unstable; urgency=low

  * debian/update-service, debian/update-service.8: new; add/remove a
    service to/from system-wide service supervision (helps to move away
    from /var/service/, #461478).
  * debian/rules: install update-service program and its manpage.

 -- Gerrit Pape <pape@smarden.org>  Mon, 11 Feb 2008 22:38:24 +0000

runit (1.8.0-1) unstable; urgency=low

  * new upstream version.
    * builds against recent dietlibc-dev (closes: #406217).
    * man/svlogd.8: add hint about increasing the buffer size if lots of
      data is to be processed in short time (closes: #386608).
    * man/svlogd.8: add hint on how to manually remove log files after the
      number of log files svlogd should maintain has been reduced (closes:
      #391360).

 -- Gerrit Pape <pape@smarden.org>  Fri, 21 Sep 2007 01:01:14 +0000

runit (1.7.2-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Tue, 21 Nov 2006 15:14:55 +0000

runit (1.7.1-1) unstable; urgency=low

  * new upstream version.
    * clarifies that chpst looks up users/groups in /etc/passwd/group
      only, allows to specify users/groups by uid/gid (closes: #380261).

 -- Gerrit Pape <pape@smarden.org>  Sat,  4 Nov 2006 19:24:50 +0000

runit (1.7.0-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Standards-Version: 3.7.2.1.

 -- Gerrit Pape <pape@smarden.org>  Mon, 16 Oct 2006 19:17:32 +0000

runit (1.6.0-1) unstable; urgency=low

  * new upstream version.
    * cleanup *.t files possibly leftover by processor when interrupted by
      signal, also on startup (thx Andras Korn, closes: #369840).

 -- Gerrit Pape <pape@smarden.org>  Thu, 29 Jun 2006 07:55:14 +0000

runit (1.5.1-1) unstable; urgency=low

  * new upstream version.
  * debian/runit.NEWS.Debian: new (1.4.1-1): the sv program replaces
    runsvctrl, runsvstat, svwaitdown, svwaitup (closes: #364732).

 -- Gerrit Pape <pape@smarden.org>  Sat, 13 May 2006 15:30:53 +0000

runit (1.5.0-1) unstable; urgency=low

  * new upstream version.
    * adds configuration option p (prefix) to svlogd (closes: #356339).
  * debian/implicit: update to revision 1.11.
  * debian/control: Recommends: fgetty; Suggests: socklog-run.

 -- Gerrit Pape <pape@smarden.org>  Sun, 16 Apr 2006 12:40:11 +0000

runit (1.4.1-1) unstable; urgency=low

  * new upstream version.
    * fixes setting of multiple groups with dietlibc (thx Tino Keitel,
      closes: #356016).
  * debian/rules: no longer install the runsvctrl, runsvstat, svwaitdown,
    svwaitup programsi an man pages, use sv instead; move getty-5 service
    directory to /etc/sv/getty-5/; move /var/run/getty-5/ to
    /var/run/sv.getty-5/.
  * debian/runit.conffiles: adapt.
  * debian/runit.preinst, debian/runit.postinst: move conffiles, preserve
    user changes.

 -- Gerrit Pape <pape@smarden.org>  Mon, 20 Mar 2006 19:34:34 +0000

runit (1.3.3-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Mon,  2 Jan 2006 20:41:54 +0000

runit (1.3.2-1) unstable; urgency=low

  * new upstream version.
    * svlogd.c: don't print extra newlines to the log if additionally
      writing to the network through udp (thx Andras Korn, closes: #339030).
  * debian/control: update long description; Standards-Version: 3.6.2.1.
  * debian/rules: get upstream version from debian/changelog.

 -- Gerrit Pape <pape@smarden.org>  Sun, 18 Dec 2005 11:52:21 +0000

runit (1.3.1-1) unstable; urgency=low

  * new upstream version.
  * debian/runit.README.Debian: typo.
  * debian/getty-tty5.run: dev-null output of 'type fgetty'.
  * debian/2 (runsvdir-start): use -P option to runsvdir.

 -- Gerrit Pape <pape@smarden.org>  Wed, 24 Aug 2005 20:15:39 +0000

runit (1.3.0-1) unstable; urgency=low

  * new upstream version.
  * debian/diff/runsv.8.diff: remove; obsolete.
  * debian/rules: adjust CFLAGS, LDFLAGS; install new sv program.

 -- Gerrit Pape <pape@smarden.org>  Sun, 24 Jul 2005 16:51:07 +0000

runit (1.2.3-1) unstable; urgency=low

  * new upstream version.
  * debian/copyright: 2005.
  * debian/control: Suggests: fgetty.
  * debian/getty-tty5.run: use fgetty if available.
  * debian/diff/runsv.8.diff: new; fix typo in man page.
  * debian/rules: target unpack: apply diff; install debian/getty-tty5.run,
    debian/getty-tty5.finish.

 -- Gerrit Pape <pape@smarden.org>  Sun,  8 May 2005 17:49:37 +0000

runit (1.0.5-3) unstable; urgency=low

  * debian/control, debian/rules: add Build-Depends: dietlibc-dev [ppc64];
    add ppc64 to DIET_ARCHS (thx Andreas Jochens, closes: #299302).

 -- Gerrit Pape <pape@smarden.org>  Fri, 25 Mar 2005 11:22:46 +0000

runit (1.0.5-2) unstable; urgency=low

  * debian/control: Build-Depends: dietlibc-dev (>> 0.28-0) to make diet
    compiled programs work with a kernel with stack protection (thx Csillag
    Tamas, closes: 299550).
  * debian/runit.README.Debian: minor.

 -- Gerrit Pape <pape@smarden.org>  Sun, 20 Mar 2005 19:49:38 +0000

runit (1.0.5-1) unstable; urgency=low

  * new upstream release.
  * debian/getty-tty5.run: don't use absolute pathname.
  * debian/control, debian/rules, runit.postinst, runit.postrm: minor
    cleanup.
  * debian/diff/svlogd.diff: remove; obsolete.
  * debian/rules: don't apply patch.

 -- Gerrit Pape <pape@smarden.org>  Tue, 21 Sep 2004 18:18:31 +0000

runit (1.0.4-2) unstable; urgency=medium

  * debian/diff/svlogd.diff: new; from upstream CVS: several minor fixes to
    svlogd.
  * debian/rules: apply patch in target unpack.

 -- Gerrit Pape <pape@smarden.org>  Mon, 13 Sep 2004 08:37:27 +0000

runit (1.0.4-1) unstable; urgency=low

  * new upstream release.
  * debian/control: Build-Depends: dietlibc-dev (>> 0.27-0).
  * debian/rules: minor cleanup.
  * debian/implicit: update to revision 1.10.
  * debian/runit.README.Debian: minor.
  * debian/runit.postinst, debian/runit.postrm, debian/runit.preinst:
    simplify; cleanup.

 -- Gerrit Pape <pape@smarden.org>  Sun,  1 Aug 2004 18:38:36 +0000

runit (1.0.3-1) unstable; urgency=low

  * new upstream release.
  * debian/diff/chpst-chroot.diff: remove; included upstream.
  * debian/rules: don't apply diff; shorten architecture-check.

 -- Gerrit Pape <pape@smarden.org>  Sat, 26 Jun 2004 14:50:51 +0000

runit (1.0.2-3) unstable; urgency=low

  * debian/diff/chpst-chroot.diff: chdir before chroot; update
    runscripts.html.
  * debian/control: Build-Depends: dietlibc-dev (>> 0.26-0).

 -- Gerrit Pape <pape@smarden.org>  Fri, 30 Apr 2004 18:55:09 +0000

runit (1.0.2-2) unstable; urgency=low

  * debian/diff/chpst-chroot.diff: new; chpst supports chroot though -/
    option.
  * debian/rules: new target unpack; apply chpst-chroot.diff; use
    dietlibc-dev on amd64 (thx Andreas Jochens).
  * debian/control: Build-Depends: dietlibc-dev +[amd64].

 -- Gerrit Pape <pape@smarden.org>  Tue, 27 Apr 2004 17:55:40 +0000

runit (1.0.2-1) unstable; urgency=low

  * new upstream release.
  * debian/implicit: update to revision 1.8.
  * debian/control: Build-Depends: dietlibc-dev (>> 0.25-0) (fixes
    build/testing failure on arm).
  * debian/rules: remove workaround to suppress gcc-3.3 warnings (closes:
    #239995).

 -- Gerrit Pape <pape@smarden.org>  Tue, 30 Mar 2004 17:02:58 +0000

runit (1.0.1-1) unstable; urgency=low

  * new upstream release.
   * chpst -e dir doesn't barf on subdirectories of dir (closes: #234172).
  * debian/runsvdir-start.8: new; thx Bastian Kleineidam (closes: #234114).
  * debian/rules: run make check; no longer provide /usr/sbin/setuidgid;
    install runsvdir-start man page; create .diet/gcc on i386 to suppress
    gcc warnings in build logs; minor.

 -- Gerrit Pape <pape@smarden.org>  Mon,  8 Mar 2004 15:49:54 +0000

runit (1.0.0-1) unstable; urgency=low

  * upstream stable release.
  * debian/implicit: update to revision 1.5.

 -- Gerrit Pape <pape@smarden.org>  Tue, 10 Feb 2004 13:20:21 +0000

runit (0.13.1-1) unstable; urgency=low

  * new upstream version: fixes svlogd to print new-line character on end
    of line properly (closes: #228446).

 -- Gerrit Pape <pape@smarden.org>  Mon, 19 Jan 2004 13:37:13 +0000

runit (0.13.0-1) unstable; urgency=low

  * new upstream version: svlogd.8 documents -tt option (closes: #213011);
    fixes typos in runsv.8 (closes: #223076).
  * debian/control: Build-Depends: dietlibc, now also on s390.
  * debian/rules: use dietlibc on s390.

 -- Gerrit Pape <pape@smarden.org>  Mon, 12 Jan 2004 16:07:06 +0100

runit (0.12.1-2) unstable; urgency=low

  * debian/control: no longer Build-Depends: debhelper; Standards-Version:
    3.6.1.0.
  * debian/rules: stop using debhelper, use implicit rules; install runit,
    runit-init mode 0755 (closes: #224800).
  * debian/implicit: new; implicit Makefile rules.
  * debian/README.Debian: rename to debian/runit.README.Debian.
  * debian/runit.dirs, debian/runit.links: remove; obsolete.
  * debian/runit.conffiles, debian/runit.docs: new.
  * debian/runit.postinst, debian/runit.postrm, debian/runit.preinst: minor
    cleanup.

 -- Gerrit Pape <pape@smarden.org>  Mon, 29 Dec 2003 14:51:48 +0000

runit (0.12.1-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Build-Depends: dietlibc-dev (>> 0.24-0).

 -- Gerrit Pape <pape@smarden.org>  Tue, 18 Nov 2003 15:45:02 +0000

runit (0.12.0-1) unstable; urgency=low

  * new upstream version.
  * debian/control: adapt long description; Build-Depends: dietlibc-dev
    (>= 0.23-3) (ia64).

 -- Gerrit Pape <pape@smarden.org>  Mon,  3 Nov 2003 09:55:50 +0000

runit (0.11.2-1) unstable; urgency=low

  * new upstream version.
  * debian/rules: install stage 2 as /usr/sbin/runsvdir-start for the use
    with /etc/inittab; enable dh_link.
  * debian/runit.dirs: add /var/service, /var/run/getty-5.
  * debian/README.Debian: adapt; package now automatically enables service
    supervision when used with sysvinit.
  * debian/runit.links: new; create symlink for getty-5 service supervise
    directory to /var/run/.
  * debian/runit.postinst: new; add SV entry to /etc/inittab if not present
    on install and upgrade; barf on fresh install if SV entry is present
    (closes: #212311).
  * debian/runit.postrm: new; remove SV inittab entry on de-install; force
    remove /var/run/getty-5/ on purge.
  * debian/control: Standards-Version: 3.6.0
  * debian/1, debian/3: remove; obsolete.

 -- Gerrit Pape <pape@smarden.org>  Tue, 23 Sep 2003 08:56:19 +0000

runit (0.11.0-1) unstable; urgency=low

  * new upstream version:
    * chpst: new; run a program with a changed process state.
  * debian/rules: install chpst program, install setuidgid as symlink
    to chpst.

 -- Gerrit Pape <pape@smarden.org>  Fri,  8 Aug 2003 13:37:45 +0200

runit (0.10.0-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Sun, 22 Jun 2003 20:45:12 +0200

runit (0.9.5-1) unstable; urgency=low

  * new upstream version.
  * debian/rules: don't extra build setuidgid, upstream Makefile
    does.

 -- Gerrit Pape <pape@smarden.org>  Tue, 17 Jun 2003 15:55:49 +0200

runit (0.9.4-1) unstable; urgency=medium

  * new upstream version.
  * debian/diff/defaultsize.diff: remove; applied upstream.
  * debian/getty.run, debian/getty.finish: remove; obsolete.
  * debian/rules: remove temporary patch; install upstream example
    getty service directory; build and install setuidgid (drop-in
    replacement for daemontools' setuidgid).
  * debian/control: Standards-Version: 3.5.10.

 -- Gerrit Pape <pape@smarden.org>  Tue, 10 Jun 2003 09:45:28 +0200

runit (0.9.3-2) unstable; urgency=low

  * debian/README.Debian: more detailed instructions on how to use
    service supervision without replacing sysvinit.

 -- Gerrit Pape <pape@smarden.org>  Wed, 21 May 2003 21:16:48 +0200

runit (0.9.3-1) unstable; urgency=low

  * new upstream version.
  * debian/diff/defaultsize.diff: new; fix default max. size for single
    log files to match the documentation.
  * debian/rules: patch upstream; show compiler version.

 -- Gerrit Pape <pape@smarden.org>  Thu, 15 May 2003 12:03:22 +0200

runit (0.9.2-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Sat,  3 May 2003 17:58:14 +0200

runit (0.9.1-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Wed, 30 Apr 2003 22:22:17 +0200

runit (0.9.0-1) unstable; urgency=low

  * new upstream version.
  * debian/rules: minor cleanup.
  * debian/control: Standards-Version: 3.5.9.

 -- Gerrit Pape <pape@smarden.org>  Fri, 25 Apr 2003 09:22:27 +0200

runit (0.8.4-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Sun, 20 Apr 2003 19:34:37 +0200

runit (0.8.1-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Wed, 12 Mar 2003 15:10:16 +0100

runit (0.8.0-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Tue, 25 Feb 2003 16:17:46 +0100

runit (0.7.2-2) unstable; urgency=low

  * debian/rules: resurrect copyright file.

 -- Gerrit Pape <pape@smarden.org>  Wed, 29 Jan 2003 19:29:33 +0100

runit (0.7.2-1) unstable; urgency=low

  * new upstream version.
  * debian/rules: do not install /etc/runit/{1,2,3,ctrlaltdel} (now
    included in the runit-run package); install docs without
    dh_installdocs.
  * debian/control: Standards-Version: 3.5.8.
  * debian/runit.docs: remove.

 -- Gerrit Pape <pape@smarden.org>  Wed, 29 Jan 2003 14:30:33 +0100

runit (0.7.1-5) unstable; urgency=low

  * debian/3: stop getties after all other services.
  * debian/control: Architecture: any, build dependency sorts out;
    build-depends on dietlibc >> 0.22-0 (available on ia64).
  * debian/rules: use dh_installdocs -n.
  * debian/runit.preinst: remove #DEBHELPER#.

 -- Gerrit Pape <pape@smarden.org>  Thu,  5 Dec 2002 22:17:18 +0100

runit (0.7.1-4) unstable; urgency=low

  * debian/rules: install debian specific stage 3: fix path to service
    directory.
  * debian/3: new.

 -- Gerrit Pape <pape@smarden.org>  Thu,  7 Nov 2002 18:33:52 +0100

runit (0.7.1-3) unstable; urgency=low

  * debian/control: build-depends on dietlibc >= 0.21-3 (fixes build
    failure on mips/mipsel).
  * debian/rules: debian/1: new.

 -- Gerrit Pape <pape@smarden.org>  Sun,  3 Nov 2002 23:20:23 +0100

runit (0.7.1-2) unstable; urgency=low

  * debian/rules: let diet be verbose and mangle gcc options for platform
    specific optimization (fixes build failure on sparc).

 -- Gerrit Pape <pape@smarden.org>  Thu, 24 Oct 2002 22:54:08 +0200

runit (0.7.1-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Wed, 23 Oct 2002 11:46:01 +0200

runit (0.7.0-3) unstable; urgency=low

  * initial official debian package (closes: #164301).
  * debian/runsvstat.8, debian/runsvctrl.8: new.

 -- Gerrit Pape <pape@smarden.org>  Fri, 18 Oct 2002 13:25:33 +0200

runit (0.7.0-2) unstable; urgency=low

  * rework debian packaging to be debian policy compliant.
  * runit: add lintian override: statically-linked-binary; the runit
    programs are knowingly compiled statically with the diet libc.

 -- Gerrit Pape <pape@smarden.org>  Fri, 11 Oct 2002 14:21:25 +0200

runit (0.7.0-1) sarge; urgency=low

  * See /package/admin/runit/package/CHANGES.
  * preinst: new; create hardlink /sbin/runit.old -> /sbin/runit on
    upgrade.

 -- Gerrit Pape <pape@smarden.org>  Mon,  7 Oct 2002 11:25:47 +0200

runit (0.6.0-1) sarge; urgency=low

  * See /package/admin/runit/package/CHANGES.

 -- Gerrit Pape <pape@smarden.org>  Fri, 27 Sep 2002 16:35:53 +0200

runit (0.5.2-1) sarge; urgency=low

  * See /package/admin/runit/package/CHANGES.

 -- Gerrit Pape <pape@smarden.org>  Mon, 23 Sep 2002 12:06:09 +0200

runit (0.5.0-1) sarge; urgency=low

  * See /package/admin/runit/package/CHANGES.

 -- Gerrit Pape <pape@smarden.org>  Wed, 28 Aug 2002 13:23:11 +0200

runit (0.4.1-1) woody; urgency=low

  * See /package/admin/runit/package/CHANGES.

 -- Gerrit Pape <pape@smarden.org>  Mon, 24 Jun 2002 16:07:53 +0200

runit (0.4.0-1) woody; urgency=low

  * See /package/admin/runit/package/CHANGES.
  * build and install the utmpset program.

 -- Gerrit Pape <pape@smarden.org>  Sun, 19 May 2002 12:31:09 +0200

runit (0.3.2-2) woody; urgency=low

  * getty service directory /etc/runit/getty-tty5 moved to
    /etc/runit/getty-5 according to updated doc/replaceinit.html.
  * compiled with dietlibc 0.16.

 -- Gerrit Pape <pape@smarden.org>  Sat, 30 Mar 2002 13:05:28 +0100

runit (0.3.2-1) woody; urgency=low

  * See /package/admin/runit/package/CHANGES.

 -- Gerrit Pape <pape@smarden.org>  Wed, 13 Feb 2002 10:56:17 +0100

runit (0.3.1-1) woody; urgency=low

  * See /package/admin/runit/package/CHANGES.

 -- Gerrit Pape <pape@smarden.org>  Sun,  3 Feb 2002 16:30:55 +0100

runit (0.3.0-1) woody; urgency=low

  * See /package/admin/runit/package/CHANGES.

 -- Gerrit Pape <pape@smarden.org>  Tue, 29 Jan 2002 19:54:06 +0100

runit (0.2.7-1) woody; urgency=low

  * See /package/admin/runit/package/CHANGES.

 -- Gerrit Pape <pape@smarden.org>  Tue,  1 Jan 2002 16:20:14 +0100

runit (0.2.6-1) woody; urgency=low

  * See /package/admin/runit/package/CHANGES.
  * manpages svwait*.8 installed.

 -- Gerrit Pape <pape@smarden.org>  Sun, 30 Dec 2001 17:29:29 +0100

runit (0.2.3-1) woody; urgency=low

  * See /package/admin/runit/package/CHANGES.
  * Build-Depends on dietlibc, uses diet to compile programs.

 -- Gerrit Pape <pape@smarden.org>  Sat, 22 Dec 2001 20:37:03 +0100

runit (0.1.1-1) woody; urgency=low

  * Initial Release.

 -- Gerrit Pape <pape@smarden.org>  Tue, 20 Nov 2001 11:56:58 +0100

Local variables:
mode: debian-changelog
End:
